<?php
   $array = array(".","/","-");
   $myCnpjCpf = $_POST['cnpjcpf'];
   $myCnpjCpf = str_replace($array,"",$myCnpjCpf);
   
   $nomeCliente = '>>>> NAO IDENTIFICADO <<<<';
   $temOutorga = false;
   $temLicenca = false;
   //Faz conex�o com o banco de dados do erp protheus
   putenv('ORACLE_SID=TOTVS10');
   putenv('ORACLE_HOME=d:\oracle\ora92');
   putenv('TNS_ADMIN=d:\oracle\ora92\network\admin');
   $conP10 = oci_connect('totvs10', 'totvs10', 'TOTVS10');
   
   if (!$conP10) {
      $e = oci_error();
      $msg = htmlentities($e['message'], ENT_QUOTES);
      echo "<h1 style='color: #ff0000;' align='center'>ERRO: $msg</h1>";
      trigger_error($msg, E_USER_ERROR);
   } else {
      $filial = '  ';
      $delete = ' ';
      $stid1 = oci_parse($conP10, 'SELECT A1_NOME FROM SA1010 WHERE A1_FILIAL = :p1 AND TRIM(A1_CGC) = :p2 AND D_E_L_E_T_ = :p3 ');
      oci_bind_by_name($stid1, ':p1', $filial);
      oci_bind_by_name($stid1, ':p2', trim($myCnpjCpf) );
      oci_bind_by_name($stid1, ':p3', $delete);
      oci_execute($stid1);

      if ($row = oci_fetch_array($stid1, OCI_BOTH)) {
         $nomeCliente = $row[0];
      }
   }

   //Faz conex�o com o banco de dados da outorga
   putenv('ORACLE_SID=COGERH');
   $conOUT = oci_connect('adm_outorga', 'outorga', 'COGERH');
   if (!$conOUT) {
      $e = oci_error();
      $msg = htmlentities($e['message'], ENT_QUOTES);
      echo "<h1 style='color: #ff0000;' align='center'>ERRO: $msg</h1>";
      trigger_error($msg, E_USER_ERROR);
   } else {
      $stid2 = oci_parse($conOUT, 'SELECT PES.PES_NOME FROM PESSOA PES LEFT OUTER JOIN PESSOA_FISICA PEF ON(PEF.PES_CODIGO_FK = PES.PES_CODIGO_PK) LEFT OUTER JOIN PESSOA_JURIDICA PEJ ON(PEJ.PES_CODIGO_FK = PES.PES_CODIGO_PK) WHERE TRIM(PEF.PFI_CPF) = :p4 OR TRIM(PEJ.PJU_CNPJ) = :p4' );
      oci_bind_by_name($stid2, ':p4', trim($myCnpjCpf) );
      oci_execute($stid2);

      if ($row = oci_fetch_array($stid2, OCI_BOTH)) {
         $nomeCliente = $row[0];
      }
	  
	  $stid = oci_parse($conOUT, 'SELECT PES.PES_NOME FROM PESSOA PES LEFT OUTER JOIN PESSOA_FISICA PEF ON(PEF.PES_CODIGO_FK = PES.PES_CODIGO_PK) LEFT OUTER JOIN PESSOA_JURIDICA PEJ ON(PEJ.PES_CODIGO_FK = PES.PES_CODIGO_PK) LEFT OUTER JOIN PEDIDO PED ON(PED.PES_CODIGO_REQUERENTE_FK = PES.PES_CODIGO_PK) WHERE TRIM(PEF.PFI_CPF) = :p1 OR TRIM(PEJ.PJU_CNPJ) = :p1 AND PED.PED_CODIGO_PK IN (SELECT O.PED_CODIGO_FK FROM OUTORGA O)');
	  oci_bind_by_name($stid, ':p1', trim($myCnpjCpf) );
	  oci_execute($stid);
	  
	  if ($row = oci_fetch_array($stid, OCI_BOTH)) {
	    $temOutorga = true;
	  }
	  
	  $stid = oci_parse($conOUT, 'SELECT PES.PES_NOME FROM PESSOA PES LEFT OUTER JOIN PESSOA_FISICA PEF ON(PEF.PES_CODIGO_FK = PES.PES_CODIGO_PK) LEFT OUTER JOIN PESSOA_JURIDICA PEJ ON(PEJ.PES_CODIGO_FK = PES.PES_CODIGO_PK) LEFT OUTER JOIN PEDIDO PED ON(PED.PES_CODIGO_REQUERENTE_FK = PES.PES_CODIGO_PK) WHERE TRIM(PEF.PFI_CPF) = :p1 OR TRIM(PEJ.PJU_CNPJ) = :p1 AND PED.PED_CODIGO_PK IN (SELECT L.PED_CODIGO_FK FROM LICENCA L)');
	  oci_bind_by_name($stid, ':p1', trim($myCnpjCpf) );
	  oci_execute($stid);
	  
	  if ($row = oci_fetch_array($stid, OCI_BOTH)) {
	    $temLicenca = true;
	  }
   }

   if ($conP10) {

		$stid3 = oci_parse($conP10, 'begin CHECA_INADIMPLENCIA(:IN_CNPJCPF, :OUT_RESULTADO); end;');
	
		oci_bind_by_name($stid3, ':IN_CNPJCPF', $myCnpjCpf);
		oci_bind_by_name($stid3, ':OUT_RESULTADO', $myResult1, 255);
	
		oci_execute($stid3);
		oci_free_statement($stid3);
	
		$result1 = preg_split('/;/', $myResult1);
      
   }
   
   if ($conOUT) {
		if($temOutorga){
			$stid4 = oci_parse($conOUT, 'begin CHECA_OUTORGA_CRO(:IN_CNPJCPF, :OUT_RESULTADO); end;');
	
			oci_bind_by_name($stid4, ':IN_CNPJCPF', $myCnpjCpf);
			oci_bind_by_name($stid4, ':OUT_RESULTADO', $myResult2, 255);
	
			oci_execute($stid4);
			oci_free_statement($stid4);
			
			$result2 = preg_split('/;/', $myResult2);
		}else{
			if($temLicenca){
				$myResult2 = 'LIBERADO;COM LICENCA';
				$result2 = preg_split('/;/', $myResult2);
			}
			if($nomeCliente=='>>>> NAO IDENTIFICADO <<<<'){
				$myResult2 = 'BLOQUEADO;SEM OUTORGA';
				$result2 = preg_split('/;/', $myResult2);
			}
		}
	}

   date_default_timezone_set('America/Fortaleza');
   $cnpjCpf = "";
   $nomeRequerente = "";
   $hoje = date("d/m/Y");
   $fmonth = date("m");
   $fday = date("d");
   $fyear = date("Y");  
   $agora = date("H:i:s");
   $validade = date("d/m/Y", mktime (0,0,0,$fmonth,$fday+30,$fyear));
   $numero = ' ';
   if (($result1[0] == $result2[0]) and ($result1[0] == 'LIBERADO')) {
      $retorno = gravaOcorrenciaCro(1);
      oci_close($conOUT);
      oci_close($conP10);
      if ($retorno == 'ok') {
         //header('Location: emite_cro.php?idreq='.$myCnpjCpf.'&nmreq='.$nomeCliente.'&pdata='.$hoje.'&pagora='.$agora.'&pvalid='.$validade.'&pnum='.$numero);
         $cnpjCpf = $myCnpjCpf;
		 $nomeRequerente = $nomeCliente;
      } else {
         header('Location: index.php?pagina=errogravaocorrencia_cro&texto='.$retorno);
      }
   } else {
      $retorno = gravaOcorrenciaCro(2);
      oci_close($conOUT);
      oci_close($conP10);
      if ($retorno == 'ok') {
         header('Location: index.php?pagina=resultado_cro&idreq='.$myCnpjCpf.'&nmreq='.$nomeCliente); 
      } else {
         header('Location: index.php?pagina=errogravaocorrencia_cro&texto='.$retorno);
      }
   }

   function gravaOcorrenciaCro($opc) {
      //Faz a grava��o da ocorrencia da CRO
      $result = 'ok';
      global $conOUT, $numero, $fyear, $hoje, $validade, $myCnpjCpf, $nomeCliente, $result1, $result2,$chave;
      
	  //Pega o n�mero da proxima CRO a ser emitida
      $stidTemp = oci_parse($conOUT,"SELECT TO_CHAR(MAX(CHAVE)+1,'000000') AS PROXIMO FROM ADM_OUTORGA.OCORRENCIAS_CRO");
      oci_execute($stidTemp);
      if ($row = oci_fetch_array($stidTemp, OCI_BOTH)) {
		$chave = $row[0];
	  }         
      oci_free_statement($stid5);
	  
      if ($opc == 1) {
         
         //Pega o n�mero da proxima CRO a ser emitida
         $stid5 = oci_parse($conOUT,"SELECT TO_CHAR(NUMERADOR_CRO.NEXTVAL,'000000') AS PROXIMO FROM DUAL");
         oci_execute($stid5);
         if ($row = oci_fetch_array($stid5, OCI_BOTH)) {
            $numero = $row[0].'/'.$fyear;
         }         
         oci_free_statement($stid5);
         
         $stid6 = oci_parse($conOUT,"INSERT INTO ocorrencias_cro (chave,data, cnpjcpf, razsoc, numero, validade, obsfinanceiro, obsoutorga) VALUES(:id_chave,to_date( :id_data, 'dd/mm/yyyy' ), :id_cnpjcpf, :id_razsoc, :id_numero, to_date( :id_validade, 'dd/mm/yyyy' ), :id_obsfinanceiro, :id_obsoutorga)");
         oci_bind_by_name($stid6, ":id_numero", trim($numero));
         oci_bind_by_name($stid6, ":id_validade", $validade);
      } else {
         $stid6 = oci_parse($conOUT,"INSERT INTO ocorrencias_cro (chave,data, cnpjcpf, razsoc, obsfinanceiro, obsoutorga) VALUES(:id_chave,to_date( :id_data, 'dd/mm/yyyy' ), :id_cnpjcpf, :id_razsoc, :id_obsfinanceiro, :id_obsoutorga)");
      }
	  oci_bind_by_name($stid6, ":id_chave", $chave);
      oci_bind_by_name($stid6, ":id_data", $hoje);
      oci_bind_by_name($stid6, ":id_cnpjcpf", trim($myCnpjCpf));
      oci_bind_by_name($stid6, ":id_razsoc", trim($nomeCliente));
      oci_bind_by_name($stid6, ":id_obsfinanceiro", trim($result1[1]));
      oci_bind_by_name($stid6, ":id_obsoutorga", trim($result2[1]));
      if (!oci_execute($stid6)) {
         $e = oci_error($stid6);
         $result = 'SQL: '.$e['sqltext'].' MSG: '.$e['message'].' OFF: '.$e['offset'];
      }
      oci_free_statement($stid6);

      return $result;
   }
?>
